Opened 10 years ago

Closed 7 years ago

#13538 closed defect (fixed)

AlgebraicExtensionFunctor should not make an assumption on the ordering of parameters

Reported by: saraedum Owned by: nthiery
Priority: trivial Milestone: sage-6.4
Component: categories Keywords: sd59
Cc: Merged in:
Authors: Julian Rueth Reviewers: Peter Bruin
Report Upstream: N/A Work issues:
Branch: 717ce89 (Commits, GitHub, GitLab) Commit: 717ce89ff455ff63fbfeb3ef0d3a59c15ef11ebc
Dependencies: Stopgaps:

Status badges

Description (last modified by saraedum)

Currently, AlgebraicExtensionFunctor assumes that the .extension() function of a field takes the generators' names as the second argument. This is not always the case:

sage: K = Qp(3,3)
sage: R.<a> = K[]
sage: AEF = sage.categories.pushout.AlgebraicExtensionFunctor([a^2-3], ['a'], [None])
sage: AEF(K)
ValueError: must specify name of generator of extension

The attached patch resolves this problem.

Attachments (1)

trac_13538.patch (2.1 KB) - added by saraedum 10 years ago.

Download all attachments as: .zip

Change History (12)

Changed 10 years ago by saraedum

comment:1 Changed 10 years ago by saraedum

  • Description modified (diff)

comment:2 Changed 9 years ago by jdemeyer

  • Milestone changed from sage-5.11 to sage-5.12

comment:3 Changed 8 years ago by vbraun_spam

  • Milestone changed from sage-6.1 to sage-6.2

comment:4 Changed 8 years ago by vbraun_spam

  • Milestone changed from sage-6.2 to sage-6.3

comment:5 Changed 8 years ago by saraedum

  • Branch set to u/saraedum/ticket/13538
  • Created changed from 09/26/12 16:14:40 to 09/26/12 16:14:40
  • Modified changed from 05/06/14 15:20:58 to 05/06/14 15:20:58

comment:6 Changed 8 years ago by git

  • Commit set to 76af2092e7d94d97f657eba941c6e36ff68d6042

Branch pushed to git repo; I updated commit sha1. New commits:

76af209Cleaned up docstring for #13538

comment:7 Changed 8 years ago by git

  • Commit changed from 76af2092e7d94d97f657eba941c6e36ff68d6042 to 717ce89ff455ff63fbfeb3ef0d3a59c15ef11ebc

Branch pushed to git repo; I updated commit sha1. This was a forced push. New commits:

717ce89Trac 13538: AlgebraicExtensionFunctor does not make an assumption on the args order

comment:8 Changed 8 years ago by saraedum

  • Keywords sd59 added
  • Modified changed from 06/25/14 17:12:10 to 06/25/14 17:12:10
  • Status changed from new to needs_review

comment:9 Changed 8 years ago by vbraun_spam

  • Milestone changed from sage-6.3 to sage-6.4

comment:10 Changed 7 years ago by pbruin

  • Reviewers set to Peter Bruin
  • Status changed from needs_review to positive_review

Looks good and the patchbot is happy.

comment:11 Changed 7 years ago by vbraun

  • Branch changed from u/saraedum/ticket/13538 to 717ce89ff455ff63fbfeb3ef0d3a59c15ef11ebc
  • Resolution set to fixed
  • Status changed from positive_review to closed
Note: See TracTickets for help on using tickets.